Subject: bug#13594: Planning Emacs-24.4

From: Leo Liu <[email-masked]>
Date: Mon, 18 Nov 2013 22:56:56 +0800

On 2013-11-18 21:19 +0800, martin rudalics wrote:
> (1) Provide two actions designators may-fail and do-fail, say.
>
> (2) When may-fail is set and no window is found, return nil.  When
>     may-fail is not set, return the most suitable window.
>
> (3) When may-fail and do-fail are both set, break the
>
> 	(while (and functions (not window))
> 	  (setq window (funcall (car functions) buffer alist)
> 	  	functions (cdr functions)))
>
>     loop in `display-buffer' (for example, by having the function called
>     return 'fail) and return nil.
>
> martin

Hi Martin,

I wonder if at this point you can take over fixing this bug. I am
unfamiliar with windowing. So I might not be able to propose a fix in
perspective.

BTW I use this action to suppress displaying the compilation window and
it works.

  (cons (lambda (buf action)
          (and (assq 'may-fail (cdr action))
               (with-current-buffer buf
                 (derived-mode-p 'ggtags-global-mode))))
        (list (lambda (&rest _) t)))

The only thing I want is a way to tell compile.el not to pop up the
window.

Leo